import Chart from "../core.js";
import { Users } from "../../../models/index.js";
import { name, schema } from "./entities/hashtag.js";
/**
 * ハッシュタグに関するチャート
 */ export default class HashtagChart extends Chart {
    constructor(){
        super(name, schema, true);
    }
    async tickMajor() {
        return {};
    }
    async tickMinor() {
        return {};
    }
    async update(hashtag, user) {
        await this.commit({
            "local.users": Users.isLocalUser(user) ? [
                user.id
            ] : [],
            "remote.users": Users.isLocalUser(user) ? [] : [
                user.id
            ]
        }, hashtag);
    }
}
